package com.ss.android.ugc.effectmanager.knadapt;

import X.AnonymousClass7Z0;
import X.M12;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.effectmanager.common.listener.IMonitorService;
import java.util.Map;
import org.json.JSONObject;

public final class KNMonitorService implements AnonymousClass7Z0 {
    public final IMonitorService iMonitorService;

    static {
        Covode.recordClassIndex(125536);
    }

    public KNMonitorService(IMonitorService iMonitorService2) {
        M12.LIZ(iMonitorService2);
        this.iMonitorService = iMonitorService2;
    }

    public final void monitorStatusRate(String str, int i, Map<String, ? extends Object> map) {
        M12.LIZ(str, map);
        JSONObject jSONObject = new JSONObject();
        for (Map.Entry next : map.entrySet()) {
            jSONObject.put((String) next.getKey(), next.getValue());
        }
        this.iMonitorService.monitorStatusRate(str, i, jSONObject);
    }
}
